/**
 * uni-ui 加载状态
 * @type {{LOADING: string, NO_MORE: string, MORE: string}}
 */
export const LoadingStatus = {
    MORE: "more",   // 还有更多
    LOADING: "loading", // 加载中
    NO_MORE: "noMore"   // 没有更多了
}

// 报表状态
export const ReportStatus = {
    WAIT_SUBMIT: "1",   // 待提交
    WAIT_VERIFY: "2",   // 待审核
    PASS: "3",  // 已通过
    REJECT: "4",    // 未通过

    // 获取名称
    getName(status) {
        switch (status) {
            case this.WAIT_SUBMIT:
                return "未提交";
            case this.WAIT_VERIFY:
                return "审核中";
            case this.PASS:
                return "已通过";
            case this.REJECT:
                return "未通过";
            default:
                return "未知";
        }
    },
    // 获取颜色
    getColor(status) {
        switch (status) {
            case this.WAIT_SUBMIT:
                return "#a8a8a8";
            case this.WAIT_VERIFY:
                return "#ea9527";
            case this.PASS:
                return "#17da95";
            case this.REJECT:
                return "#ff3b3b";
            default:
                return "#000";
        }
    },
}
